using System;
using System.Collections.Generic;
using System.Text;
using System.IO;

namespace Stream3
{
  class Program
  {
    static void Main(string[] args)
    {
      using (BinaryWriter bw = new BinaryWriter(File.Open(@"D:\Test.bin", FileMode.OpenOrCreate)))
      {
        double d = Math.PI;
        bw.Write(d);
        string strName = "Bernd";
        bw.Write(strName);
        int i = 15;
        bw.Write(i);
      }  // Auto-Close!!!

      using (BinaryReader br = new BinaryReader(File.Open(@"D:\Test.bin", FileMode.Open)))
      {
        double dPI = br.ReadDouble();
        string str2 = br.ReadString();
        int i2 = br.ReadInt32();
        Console.WriteLine("PI = {0}   Name = {1}   Int = {2}", dPI, str2, i2);
      }  // Auto-Close!!!
    }
  }
}
